function [pr,At,bt,y1,y2]=ChangeVariable(A,b,i)
%
% Функция ChangeVariable преобразует систему линейных отношений
% A x relations b, заданную в исходных координатах (0,x1,x2,x3),
% в систему At y relations* bt, записанную во внутренних координатах
% плоскости A(i,:) x = b(i).
% (Компонентами вектора relations служат "=", "<", ">", "<=", ">=".
% Вектор relations* получается из relations удалением i-й компоненты).
%
% автор: Шарая Ирина Александровна (Институт вычислительных технологий, Новосибирск)
% дата:  15/09/2012

   % в качестве начала pr внутренних координат плоскости A(i,:)x=b(i)
   % возьмем проекцию начала исходных координат на эту плоскость
   pr= A(i,:)*b(i)/(A(i,:)*A(i,:)');

   % заготовки
   At=zeros(0,2);
   bt=zeros(0,1);
   y1=zeros(1,3);
   y2=zeros(1,3);

   % выбор внутренних ортов y1 и y2

     % y1 
     % наиболее длинную проекцию вектора A(i,:) на координатные плоскости
     % повернем в плоскости проекции на 90 градусов (направление не важно)
     [c,l]=min(abs(A(i,:))); % в координатной плоскости ~l 
                             % проекция вектора A(i,:) наиболее длинная
     l1=mod(l,3)+1;
     l2=mod(l1,3)+1;
     y1(l1)=A(i,l2);
     y1(l2)=-A(i,l1);

     % y2 
     % векторное произведение A(i,:) на y1
     y2=cross(A(i,:),y1);

   % переход от (A,b) к (At,bt)
   A(i,:)=[];
   b(i,:)=[];
   At=[A*y1' A*y2'];
   bt=b-A*pr';

end